/**
 * 
 */
package outsourced.explicit;

class StateB extends State {

	private State next = null;

	protected StateB(StateMachine m) {
		super(m);
	}

	@Override
	protected void x() {
		next = new StateC(m);
	}

	@Override
	protected void y() {
		next = new StateD(m);
	}

	@Override
	protected State next() {
		return next;
	}

	@Override
	protected void entry() {
		entryB();
	}

	@Override
	protected void exit() {
		exitB();
	}

	private void entryB() {
	}

	private void exitB() {
	}

	@Override
	public String toString() {
		return "B";
	}
}