/**
 * 
 */
package outsourced.explicit;

class StateD extends State {

	private State next = null;

	protected StateD(StateMachine m) {
		super(m);
	}

	@Override
	protected void x() {
		next = new StateEnd(m);
	}

	@Override
	protected void y() {
		next = new StateC(m);
	}

	@Override
	protected State next() {
		return next;
	}

	@Override
	public String toString() {
		return "D";
	}
}